Skip to main content

Mark an upload completed

Marks an upload as completed. Use this after you've uploaded file chunks to the Ingest API.

Request Body — REQUIRED
uuid string

the UUID of the uploaded file

name string

the file name (metadata-encrypted using the encryption key)

nameHashed string

the hex-encoded SHA-512 hash of the file name

size string

the file's total size in bytes (metadata-encrypted using the encryption key)

chunks integer

the number of chunks uploaded

mime string

the file's MIME type

rm string

a cryptographically-secure random string of length 32

metadata string

the file's metadata (metadata-encrypted using the master key) following the schema (TypeScript type definition):

{
name: string, // the file name
size: number, // the file size in bytes
mime: string, // the file's MIME type
key: string, // the key used to encrypt the file chunks
lastModified: number, // the file's modification timestamp in seconds
creation: number, // the file's creation timestamp in seconds
}
version string

the file encryption version, currently 2

uploadKey string

a cryptographically-secure random string of length 32, which had been passed along with each file chunk

Responses
200

OK

Schema — OPTIONAL
status boolean — OPTIONAL
message string — OPTIONAL
code string — OPTIONAL
chunks number — OPTIONAL

the number of chunks uploaded

size number — OPTIONAL

the file's total size in bytes